import { BaseContextProvider } from "../index.js";
import { retrieveContextItemsFromEmbeddings } from "../retrieval/retrieval.js";
class CodebaseContextProvider extends BaseContextProvider {
    static description = {
        title: "codebase",
        displayTitle: "Codebase",
        description: "Automatically find relevant files",
        type: "normal",
        renderInlineAs: "",
    };
    async getContextItems(query, extras) {
        return retrieveContextItemsFromEmbeddings(extras, this.options, undefined);
    }
    async load() { }
}
export default CodebaseContextProvider;
